Index: trunk/kernel/obj.tsar/libk/strcmp.d
===================================================================
--- trunk/kernel/obj.tsar/libk/strcmp.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/strcmp.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/strcmp.o: libk/strcmp.c libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/ctype.h
Index: trunk/kernel/obj.tsar/libk/strcpy.d
===================================================================
--- trunk/kernel/obj.tsar/libk/strcpy.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/strcpy.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/strcpy.o: libk/strcpy.c libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h
Index: trunk/kernel/obj.tsar/libk/strlen.d
===================================================================
--- trunk/kernel/obj.tsar/libk/strlen.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/strlen.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/strlen.o: libk/strlen.c libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h
Index: trunk/kernel/obj.tsar/libk/strrchr.d
===================================================================
--- trunk/kernel/obj.tsar/libk/strrchr.d	(revision 1)
+++ trunk/kernel/obj.tsar/libk/strrchr.d	(revision 1)
@@ -0,0 +1,3 @@
+obj.tsar/libk/strrchr.o: libk/strrchr.c libk/string.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h
Index: trunk/kernel/obj.tsar/mm/heap_manager.d
===================================================================
--- trunk/kernel/obj.tsar/mm/heap_manager.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/heap_manager.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/mm/heap_manager.o: mm/heap_manager.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/spinlock.h libk/bits.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h \
+ kern/kmagics.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/thread.h \
+ kern/wait_queue.h kern/cluster.h mm/ppm.h mm/heap_manager.h mm/page.h \
+ mm/pmm.h arch/tsar/arch-pmm.h
Index: trunk/kernel/obj.tsar/mm/kcm.d
===================================================================
--- trunk/kernel/obj.tsar/mm/kcm.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/kcm.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/mm/kcm.o: mm/kcm.c libk/list.h kern/kmagics.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/types.h libk/stdint.h mm/kcm.h kern/spinlock.h \
+ libk/libk.h libk/string.h libk/ctype.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h mm/kmem.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/pmm.h arch/tsar/arch-pmm.h mm/ppm.h \
+ kern/wait_queue.h kern/thread.h mm/page.h kern/cluster.h \
+ mm/heap_manager.h
Index: trunk/kernel/obj.tsar/mm/kmem.d
===================================================================
--- trunk/kernel/obj.tsar/mm/kmem.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/kmem.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/mm/kmem.o: mm/kmem.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/errno.h vfs/vfs-errno.h \
+ kern/spinlock.h mm/kmem.h mm/kcm.h libk/list.h kern/kmagics.h \
+ mm/heap_manager.h mm/ppm.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/page.h kern/cluster.h kern/thread.h kern/dma.h \
+ kern/blkio.h kern/task.h kern/rwlock.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h \
+ fs/ramfs/ramfs.h kern/semaphore.h kern/cond_var.h kern/barrier.h
Index: trunk/kernel/obj.tsar/mm/mapper.d
===================================================================
--- trunk/kernel/obj.tsar/mm/mapper.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/mapper.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/mm/mapper.o: mm/mapper.c mm/mapper.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h kern/radix.h mm/kmem.h mm/kcm.h \
+ libk/list.h kern/kmagics.h kern/spinlock.h kern/mcs_sync.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h \
+ libk/errno.h vfs/vfs-errno.h libk/bits.h kern/atomic.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/thread.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h mm/page.h kern/blkio.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h mm/ppn.h
Index: trunk/kernel/obj.tsar/mm/page.d
===================================================================
--- trunk/kernel/obj.tsar/mm/page.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/page.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/mm/page.o: mm/page.c kern/atomic.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/types.h libk/stdint.h libk/list.h \
+ kern/kmagics.h kern/thread.h kern/spinlock.h kern/wait_queue.h \
+ kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h \
+ kern/event.h kern/time.h kern/device.h kern/driver.h kern/metafs.h \
+ libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/page.h mm/mapper.h kern/radix.h kern/rwlock.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/task.h mm/vmm.h libk/rbtree.h \
+ mm/vm_region.h kern/keysdb.h kern/signal.h
Index: trunk/kernel/obj.tsar/mm/ppm.d
===================================================================
--- trunk/kernel/obj.tsar/mm/ppm.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/ppm.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/mm/ppm.o: mm/ppm.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/list.h kern/kmagics.h \
+ libk/bits.h mm/pmm.h arch/tsar/arch-pmm.h mm/page.h kern/atomic.h \
+ kern/spinlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/ppm.h kern/thread.h \
+ kern/cluster.h mm/heap_manager.h kern/task.h kern/rwlock.h mm/vmm.h \
+ libk/rbtree.h mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h \
+ vfs/vfs-params.h vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h \
+ fs/devfs/devfs.h kern/htable.h kern/keysdb.h kern/signal.h kern/dqdt.h
Index: trunk/kernel/obj.tsar/mm/ppn.d
===================================================================
--- trunk/kernel/obj.tsar/mm/ppn.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/ppn.d	(revision 1)
@@ -0,0 +1,13 @@
+obj.tsar/mm/ppn.o: mm/ppn.c kern/atomic.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/types.h libk/stdint.h kern/spinlock.h \
+ libk/list.h kern/kmagics.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h mm/ppn.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/page.h kern/thread.h kern/cluster.h mm/ppm.h \
+ mm/heap_manager.h
Index: trunk/kernel/obj.tsar/mm/vm_region.d
===================================================================
--- trunk/kernel/obj.tsar/mm/vm_region.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/vm_region.d	(revision 1)
@@ -0,0 +1,15 @@
+obj.tsar/mm/vm_region.o: mm/vm_region.c libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/list.h kern/kmagics.h \
+ libk/errno.h vfs/vfs-errno.h libk/libk.h libk/string.h libk/ctype.h \
+ libk/bits.h kern/thread.h kern/spinlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h kern/task.h kern/rwlock.h \
+ mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h mm/vm_region.h \
+ mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h vfs/vfs-private.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/keysdb.h kern/signal.h mm/ppm.h mm/page.h mm/ppn.h
Index: trunk/kernel/obj.tsar/mm/vmm.d
===================================================================
--- trunk/kernel/obj.tsar/mm/vmm.d	(revision 1)
+++ trunk/kernel/obj.tsar/mm/vmm.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/mm/vmm.o: mm/vmm.c libk/errno.h vfs/vfs-errno.h libk/libk.h \
+ libk/types.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h \
+ libk/stdint.h libk/string.h libk/ctype.h libk/bits.h kern/task.h \
+ libk/list.h kern/kmagics.h kern/spinlock.h kern/atomic.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h \
+ kern/rpc.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/thread.h kern/cluster.h \
+ mm/ppm.h mm/heap_manager.h kern/semaphore.h mm/page.h mm/ppn.h
Index: trunk/kernel/obj.tsar/vfs/kvfsd.d
===================================================================
--- trunk/kernel/obj.tsar/vfs/kvfsd.d	(revision 1)
+++ trunk/kernel/obj.tsar/vfs/kvfsd.d	(revision 1)
@@ -0,0 +1,17 @@
+obj.tsar/vfs/kvfsd.o: vfs/kvfsd.c libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h kern/kdmsg.h \
+ libk/types.h libk/stdint.h kern/spinlock.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/event.h kern/time.h kern/device.h kern/driver.h \
+ kern/metafs.h libk/libk.h libk/string.h libk/ctype.h mm/kmem.h mm/kcm.h \
+ fs/sysfs/sysfs.h kern/rpc.h libk/errno.h vfs/vfs-errno.h libk/bits.h \
+ kern/atomic.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h kern/thread.h kern/wait_queue.h vfs/vfs.h \
+ kern/rwlock.h vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h \
+ kern/radix.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h \
+ arch/tsar/arch-pmm.h mm/vm_region.h kern/keysdb.h kern/signal.h \
+ kern/cpu-trace.h kern/cluster.h mm/ppm.h mm/heap_manager.h \
+ kern/rt_timer.h kern/sysconf.h mm/page.h kern/dqdt.h
Index: trunk/kernel/obj.tsar/vfs/vfs.d
===================================================================
--- trunk/kernel/obj.tsar/vfs/vfs.d	(revision 1)
+++ trunk/kernel/obj.tsar/vfs/vfs.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/vfs/vfs.o: vfs/vfs.c kern/scheduler.h libk/types.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/stdint.h libk/list.h kern/kmagics.h \
+ kern/rr-sched.h kern/rwlock.h kern/wait_queue.h kern/kdmsg.h \
+ kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h \
+ arch/tsar/arch.h cpu/mipsel/cpu-regs.h kern/event.h kern/time.h \
+ kern/device.h kern/driver.h kern/metafs.h libk/libk.h libk/string.h \
+ libk/ctype.h mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h mm/mapper.h kern/radix.h kern/ku_transfert.h \
+ fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h kern/thread.h \
+ kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h kern/keysdb.h kern/signal.h mm/page.h mm/ppm.h \
+ kern/cpu-trace.h
Index: trunk/kernel/obj.tsar/vfs/vfs_cache.d
===================================================================
--- trunk/kernel/obj.tsar/vfs/vfs_cache.d	(revision 1)
+++ trunk/kernel/obj.tsar/vfs/vfs_cache.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/vfs/vfs_cache.o: vfs/vfs_cache.c kern/atomic.h libk/config.h \
+ cpu/mipsel/cpu-config.h arch/tsar/arch-config.h mm/mm-config.h \
+ kern/kernel-config.h libk/types.h libk/stdint.h vfs/vfs.h kern/system.h \
+ kern/hal-arch.h arch/tsar/arch.h libk/errno.h vfs/vfs-errno.h \
+ kern/rwlock.h kern/wait_queue.h libk/list.h kern/kmagics.h kern/kdmsg.h \
+ kern/spinlock.h kern/mcs_sync.h libk/boot-info.h kern/cpu.h libk/utils.h \
+ kern/hal-cpu.h cpu/mipsel/cpu-asm.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/bits.h \
+ kern/remote_access.h cpu/mipsel/cpu-remote.h kern/remote_fifo.h \
+ vfs/vfs-params.h vfs/vfs-private.h mm/mapper.h kern/radix.h \
+ kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h kern/htable.h \
+ kern/task.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h kern/keysdb.h kern/signal.h kern/thread.h kern/cluster.h \
+ mm/ppm.h mm/heap_manager.h
Index: trunk/kernel/obj.tsar/vfs/vfs_file.d
===================================================================
--- trunk/kernel/obj.tsar/vfs/vfs_file.d	(revision 1)
+++ trunk/kernel/obj.tsar/vfs/vfs_file.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/vfs/vfs_file.o: vfs/vfs_file.c kern/task.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h libk/list.h \
+ kern/kmagics.h libk/bits.h kern/spinlock.h kern/atomic.h kern/rwlock.h \
+ kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h libk/boot-info.h \
+ kern/cpu.h libk/utils.h kern/hal-cpu.h cpu/mipsel/cpu-asm.h \
+ kern/system.h kern/hal-arch.h arch/tsar/arch.h cpu/mipsel/cpu-regs.h \
+ kern/scheduler.h kern/rr-sched.h kern/event.h kern/time.h kern/device.h \
+ kern/driver.h kern/metafs.h libk/libk.h libk/string.h libk/ctype.h \
+ mm/kmem.h mm/kcm.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h kern/thread.h mm/page.h \
+ mm/ppm.h
Index: trunk/kernel/obj.tsar/vfs/vfs_init.d
===================================================================
--- trunk/kernel/obj.tsar/vfs/vfs_init.d	(revision 1)
+++ trunk/kernel/obj.tsar/vfs/vfs_init.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/vfs/vfs_init.o: vfs/vfs_init.c mm/kmem.h libk/types.h \
+ libk/config.h cpu/mipsel/cpu-config.h arch/tsar/arch-config.h \
+ mm/mm-config.h kern/kernel-config.h libk/stdint.h mm/kcm.h libk/list.h \
+ kern/kmagics.h kern/spinlock.h kern/task.h libk/bits.h kern/atomic.h \
+ kern/rwlock.h kern/wait_queue.h kern/kdmsg.h kern/mcs_sync.h \
+ libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h kern/remote_access.h cpu/mipsel/cpu-remote.h \
+ kern/remote_fifo.h mm/vmm.h libk/rbtree.h mm/pmm.h arch/tsar/arch-pmm.h \
+ mm/vm_region.h mm/mapper.h kern/radix.h vfs/vfs.h vfs/vfs-params.h \
+ vfs/vfs-private.h kern/ku_transfert.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/keysdb.h kern/signal.h mm/page.h kern/thread.h \
+ kern/cluster.h mm/ppm.h mm/heap_manager.h fs/ramfs/ramfs.h
Index: trunk/kernel/obj.tsar/vfs/vfs_lookup.d
===================================================================
--- trunk/kernel/obj.tsar/vfs/vfs_lookup.d	(revision 1)
+++ trunk/kernel/obj.tsar/vfs/vfs_lookup.d	(revision 1)
@@ -0,0 +1,16 @@
+obj.tsar/vfs/vfs_lookup.o: vfs/vfs_lookup.c vfs/vfs-private.h \
+ kern/spinlock.h libk/config.h cpu/mipsel/cpu-config.h \
+ arch/tsar/arch-config.h mm/mm-config.h kern/kernel-config.h libk/types.h \
+ libk/stdint.h libk/list.h kern/kmagics.h mm/mapper.h kern/radix.h \
+ mm/kmem.h mm/kcm.h kern/mcs_sync.h kern/rwlock.h kern/wait_queue.h \
+ kern/kdmsg.h libk/boot-info.h kern/cpu.h libk/utils.h kern/hal-cpu.h \
+ cpu/mipsel/cpu-asm.h kern/system.h kern/hal-arch.h arch/tsar/arch.h \
+ cpu/mipsel/cpu-regs.h kern/scheduler.h kern/rr-sched.h kern/event.h \
+ kern/time.h kern/device.h kern/driver.h kern/metafs.h libk/libk.h \
+ libk/string.h libk/ctype.h fs/sysfs/sysfs.h kern/rpc.h libk/errno.h \
+ vfs/vfs-errno.h libk/bits.h kern/atomic.h kern/remote_access.h \
+ cpu/mipsel/cpu-remote.h kern/remote_fifo.h vfs/vfs-params.h \
+ kern/ku_transfert.h kern/cpu-trace.h mm/ppm.h mm/pmm.h \
+ arch/tsar/arch-pmm.h vfs/vfs.h fs/fat32/fat32.h fs/devfs/devfs.h \
+ kern/htable.h kern/task.h mm/vmm.h libk/rbtree.h mm/vm_region.h \
+ kern/keysdb.h kern/signal.h kern/thread.h
Index: trunk/kernel/syscalls/sys_alarm.c
===================================================================
--- trunk/kernel/syscalls/sys_alarm.c	(revision 690)
+++ trunk/kernel/syscalls/sys_alarm.c	(revision 1)
@@ -1,16 +1,15 @@
 /*
- * sys_alarm.c - timed sleep/wakeup
+ * kern/sys_alarm.c - timed sleep/wakeup
  * 
- * Author    Alain Greiner (2016,2017)
+ * Copyright (c) 2008,2009,2010,2011,2012 Ghassan Almaless
+ * Copyright (c) 2011,2012 UPMC Sorbonne Universites
  *
- * Copyright (c) UPMC Sorbonne Universites
+ * This file is part of ALMOS-kernel.
  *
- * This file is part of ALMOS-MKH.
- *
- * ALMOS-MKH is free software; you can redistribute it and/or modify it
+ * ALMOS-kernel is free software; you can redistribute it and/or modify it
  * under the terms of the GNU General Public License as published by
  * the Free Software Foundation; version 2.0 of the License.
  *
- * ALMOS-MKH is distributed in the hope that it will be useful, but
+ * ALMOS-kernel is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
@@ -18,29 +17,45 @@
  *
  * You should have received a copy of the GNU General Public License
- * along with ALMOS-MKH; if not, write to the Free Software Foundation,
+ * along with ALMOS-kernel; if not, write to the Free Software Foundation,
  * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
  */
 
-#include <hal_kernel_types.h>
+#include <types.h>
 #include <thread.h>
-#include <printk.h>
 #include <cluster.h>
-#include <process.h>
+#include <task.h>
+#include <time.h>
 #include <scheduler.h>
-#include <core.h>
+#include <cpu.h>
+#include <cpu-trace.h>
 
-#include <syscalls.h>
+EVENT_HANDLER(sys_alarm_event_handler)
+{
+	struct thread_s *thread;
 
-////////////////////////////////
-int sys_alarm( uint32_t cycles )
+	thread = event_get_argument(event);
+	sched_wakeup(thread);
+	return 0;
+}
+
+int sys_alarm (unsigned nb_sec)
 {
-    thread_t  * this    = CURRENT_THREAD;
-    process_t * process = this->process;
+	struct thread_s *this;
+	struct event_s event;
+	struct alarm_info_s info;
 
-    printk("\n[ERROR] in %s for thread %x in process %x : not implemented yet\n",
-    __FUNCTION__ , this->trdid , process->pid , cycles );
-    return -1;
+	if( nb_sec == 0)
+		return 0;
+
+	this = current_thread;
+	event_set_handler(&event, &sys_alarm_event_handler);
+	event_set_priority(&event, E_FUNC);
+	event_set_argument(&event,this);
+	info.event = &event;
+
+	alarm_wait(&info, nb_sec * 4);
+	sched_sleep(this);
+	return 0;
 }
 
 
-
